Bug 780176 - (SOA-2551) SOAPProxyWsdlLoader should not initialise TARGET_HOST_URL when extracting the http client configuration
SOAPProxyWsdlLoader should not initialise TARGET_HOST_URL when extracting the...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0.ER3
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 04:41 EST by Kevin Conner
Modified: 2011-02-12 08:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-12 08:00:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2551 None None None Never

  None (edit)
Description Kevin Conner 2010-11-08 04:41:58 EST
project_key: SOA
Comment 1 Kevin Conner 2010-11-08 04:42:13 EST
Link: Added: This issue depends JBESB-3532
Comment 3 Darrin Mison 2011-01-04 19:14:31 EST
Writer: Added: dlesage
Comment 4 David Le Sage 2011-02-10 18:33:25 EST
Temporarily reopening to update release note info.
Comment 5 David Le Sage 2011-02-10 18:36:13 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3532

The SOAPProxyWsdlLoader was initialising the TARGET_HOST_URL when extracting the HTTP client configuration This resulted in the host/port information being retained for all subsequent WSDL queries, irrespective of the values specified in subsequent URLs. The code in the SOAPProxyWsdlLoader file has been modified to correct this problem.  As a result, the values in subsequent URLs are now recognised.

Comment 6 Laura Bailey 2011-02-12 07:58:55 EST
Reopening to modify release note text; will set back to Closed -> Done in a minute.
Comment 7 Laura Bailey 2011-02-12 08:00:45 EST
Setting back to Closed -> Done after editing release notes text.
Comment 8 Laura Bailey 2011-02-12 08:00:45 EST
Release Notes Text: Removed: https://issues.jboss.org/browse/JBESB-3532

The SOAPProxyWsdlLoader was initialising the TARGET_HOST_URL when extracting the HTTP client configuration This resulted in the host/port information being retained for all subsequent WSDL queries, irrespective of the values specified in subsequent URLs. The code in the SOAPProxyWsdlLoader file has been modified to correct this problem.  As a result, the values in subsequent URLs are now recognised.
 Added: https://issues.jboss.org/browse/JBESB-3532

The SOAPProxyWsdlLoader initialised the TARGET_HOST_URL while it extracted the HTTP client configuration. This resulted in host/port information being retained for all subsequent WSDL queries, irrespective of the values specified in subsequent URLs. The code in the SOAPProxyWsdlLoader file has been modified to correct this problem. As a result, the values in subsequent URLs are now recognised.


Note You need to log in before you can comment on or make changes to this bug.